<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [JobFieldEnumType](./bitburner.jobfieldenumtype.md)

## JobFieldEnumType type


**Signature:**

```typescript
type JobFieldEnumType = {
  software: "Software";
  softwareConsultant: "Software Consultant";
  it: "IT";
  securityEngineer: "Security Engineer";
  networkEngineer: "Network Engineer";
  business: "Business";
  businessConsultant: "Business Consultant";
  security: "Security";
  agent: "Agent";
  employee: "Employee";
  partTimeEmployee: "Part-time Employee";
  waiter: "Waiter";
  partTimeWaiter: "Part-time Waiter";
};
```
